"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E048B0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04940>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E049D0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04A60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04AF0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04B80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04C10>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04CA0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04D30>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04DC0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04E50>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04EE0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E04F70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05000>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05090>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05120>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E051B0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05240>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E052D0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05360>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E053F0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05480>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05510>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E055A0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E056C0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05630>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05750>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E057E0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05870>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05900>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05990>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05A20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05AB0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05B40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05BD0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05C60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05CF0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05D80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05E10>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05EA0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05F30>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E05FC0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06050>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E060E0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06170>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06200>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06290>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06320>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E063B0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06440>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E064D0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06560>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E065F0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06680>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06710>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E067A0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06830>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E068C0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06950>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E069E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06A70>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06B00>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06B90>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06C20>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06CB0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06E60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06D40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06EF0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E06F80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07010>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E070A0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07130>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07250>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E071C0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E072E0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07370>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07400>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07520>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07490>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E075B0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07640>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E076D0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07760>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E077F0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000271A9E07880>)]
name: str = 'fr_HOCCN'
